Bug 108165 - Make sshd a PIE
Make sshd a PIE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks: 107774
  Show dependency treegraph
 
Reported: 2003-10-28 02:56 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 11:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal patch (2.15 KB, patch)
2003-10-28 02:57 EST, Ulrich Drepper
no flags Details | Diff
Better patch (102.18 KB, patch)
2003-10-29 03:47 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-28 02:56:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031021
Firebird/0.7+

Description of problem:
Network accessible programs should be PIEs for security reasons.  I'll attach a
minimum patch to make sshd (and none of the other programs) a PIE.

Version-Release number of selected component (if applicable):
openssh-3.6.1p2-19

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/sshd|fgrep Type:
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:
Comment 1 Ulrich Drepper 2003-10-28 02:57:15 EST
Created attachment 95543 [details]
Minimal patch
Comment 2 Ulrich Drepper 2003-10-29 03:47:32 EST
Created attachment 95567 [details]
Better patch

Better use Jakub's patch which also adds various optimizations.
Comment 3 Tomas Mraz 2005-02-04 11:33:52 EST
The minimal patch is maintainable and could/(should?) be applied. The
Jakub's one is highly invasive and it would require too much work when
rebasing to newer versions.
Comment 4 Tomas Mraz 2005-02-21 11:02:23 EST
Sorry ignore my previous comment - currently in rawhide the complete
OpenSSH is already built with PIE. However a question is if the PIE
linkage shouldn't be limited to sshd.

Note You need to log in before you can comment on or make changes to this bug.